Package org.jboss.resteasy.plugins.providers

## Class AbstractEntityProvider<T>

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.AbstractEntityProvider<T>

- Type Parameters:
    `T` - type
  All Implemented Interfaces:
    `javax.ws.rs.ext.MessageBodyReader<T>`, `javax.ws.rs.ext.MessageBodyWriter<T>`, `AsyncMessageBodyWriter<T>`
  Direct Known Subclasses:
    `AbstractJAXBProvider`, `DataSourceProvider`, `DocumentProvider`, `IIOImageProvider`, `MimeMultipartProvider`

      public abstract class AbstractEntityProvider<T>
      extends Object
      implements javax.ws.rs.ext.MessageBodyReader<T>, AsyncMessageBodyWriter<T>

  A AbstractEntityProvider.
  Version:
    $Revision: $
  Author:
    Ryan J. McDonough

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractEntityProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getSize​(T t, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.spi.AsyncMessageBodyWriter

      `asyncWriteTo`

    - ### Methods inherited from interface javax.ws.rs.ext.MessageBodyReader

      `isReadable, readFrom`

    - ### Methods inherited from interface javax.ws.rs.ext.MessageBodyWriter

      `isWriteable, writeTo`

- - ### Constructor Detail

    - #### AbstractEntityProvider

          public AbstractEntityProvider()

  - ### Method Detail

    - #### getSize

          public long getSize​(T t,
                              Class<?> type,
                              Type genericType,
                              Annotation[] annotations,
                              javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `getSize` in interface `javax.ws.rs.ext.MessageBodyWriter<T>`